Subject: meanwhile or use a saliva substitute However, if dry mouth continues

From: Celeste S. Bond <[email-masked]>
Date: Wed, 22 Aug 2007 16:29:09 +0200

I do not know, said she; I am only telling you the seeming in my